aboutsummaryrefslogtreecommitdiff
path: root/git-fetch.sh
diff options
context:
space:
mode:
authorNicolas Pitre <nico@cam.org>2006-11-01 17:06:22 -0500
committerJunio C Hamano <junkio@cox.net>2006-11-03 00:24:07 -0800
commit920ccbfc3bedd384f3073c342c64fbd028a4ee3a (patch)
treebd7c772c19699c9dd985f04a9cf21f82298a6549 /git-fetch.sh
parentfc04c412d8d2412e97bb2a664a1746e333dfd9ae (diff)
downloadgit-920ccbfc3bedd384f3073c342c64fbd028a4ee3a.tar.gz
git-920ccbfc3bedd384f3073c342c64fbd028a4ee3a.tar.xz
git-fetch can use both --thin and --keep with fetch-pack now
Signed-off-by: Nicolas Pitre <nico@cam.org> Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-fetch.sh')
-rwxr-xr-xgit-fetch.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/git-fetch.sh b/git-fetch.sh
index 539dff6ee..2b5538f17 100755
--- a/git-fetch.sh
+++ b/git-fetch.sh
@@ -20,7 +20,7 @@ verbose=
update_head_ok=
exec=
upload_pack=
-keep=--thin
+keep=
while case "$#" in 0) break ;; esac
do
case "$1" in
@@ -370,7 +370,7 @@ fetch_main () {
( : subshell because we muck with IFS
IFS=" $LF"
(
- git-fetch-pack $exec $keep "$remote" $rref || echo failed "$remote"
+ git-fetch-pack --thin $exec $keep "$remote" $rref || echo failed "$remote"
) |
while read sha1 remote_name
do